var list = [10, 30, 5, 60, 40, 78, 56, 30, 24, 80];
var svgWidth = 320;	// SVG領域の横幅
var svgHeight = 240;	// SVG領域の縦幅
var barScale = 2;	// 2倍サイズで描画
var yBarSize = 18;	// 棒グラフの縦幅
var xOffset = 4;	// 横方向のオフセット
var svg = d3.select("#myGraph").append("svg")
	.attr("width", svgWidth).attr("height", svgHeight)
var bar = svg.selectAll("rect")	// SVGでの四角形を示す要素を指定
	.data(list)	// データを設定
	.enter()
	.append("rect")	// SVGでの四角形を示す要素を生成
	.attr("x", xOffset)	// 横棒グラフなのでX座標は0+オフセット。これはSVG上での座標
	.attr("y", function(d,i){	// Y座標を配列の順序に応じて計算
		return i * yBarSize;
	})
	.attr("width", function(d){	// 横幅を配列の内容に応じて計算
		return "0px";
	})
	.attr("height", "16")	// 棒グラフの高さを指定
	.attr("style", "fill:rgb(255,0,0)")	// 棒グラフの色を赤色に設定
// 目盛りを表示するためにスケールを設定
var xScale = d3.scale.linear()	// スケールを設定
                     .domain([0, 100])	// 元のサイズ
                     .range([0, 100*barScale]);	// 実際の出力サイズ
// 目盛りを設定し表示する
svg.append("g")
	.attr("class", "axis")
	.attr("transform", "translate("+xOffset+", "+list.length*yBarSize+")")
	.call(d3.svg.axis()
		.scale(xScale)	//スケールを適用する
		.orient("bottom")	//目盛りの表示位置を下側に指定
	);
// アニメーション処理
d3.select("svg").on("mouseover", function(){
	bar
	.transition()
	.delay(function(d, i){
		return i * 100;
	})
	.attr("width", function(d){	// 横幅を配列の内容に応じて計算
		return (d*barScale) +"px";
	})
})